# Class JDiapazoneApi

#### Hierarchy (View Summary)

- JBaseApi
  - JDiapazoneApi

- Defined in jamespot-user-api/src/apis/diapazone/diapazone.ts:6

##### Index

### Constructors

constructor

### Properties

jApi
network

### Methods

create
getList

## Constructors

### constructor

- new JDiapazoneApi(jApi: JamespotUserApi): JDiapazoneApi

  #### Parameters

  - jApi: JamespotUserApi

  #### Returns JDiapazoneApi

  Inherited from JBaseApi.constructor

  - Defined in jamespot-user-api/src/apis/base.ts:8

## Properties

### jApi

jApi: JamespotUserApi

Inherited from JBaseApi.jApi

- Defined in jamespot-user-api/src/apis/base.ts:5

### network

network: Network

Inherited from JBaseApi.network

- Defined in jamespot-user-api/src/apis/base.ts:6

## Methods

### create

- create(
  type: string,
  token: string,
  title: string,
  dateStart: string,
  publishTo: string[],
  ): Promise<ApiWrapper<jDiapazoneList[], BaseMessages>>

  #### Parameters

  - type: string
  - token: string
  - title: string
  - dateStart: string
  - publishTo: string[]

  #### Returns Promise<ApiWrapper<jDiapazoneList[], BaseMessages>>

  - Defined in jamespot-user-api/src/apis/diapazone/diapazone.ts:7

### getList

- getList(
  query?: string,
  filters?: Filters,
  orders?: Orders,
  page?: number,
  ): Promise<
  ApiWrapper<PagingResults<jDiapazoneListWithExtras>, BaseMessages>,
  >

  #### Parameters

  - query: string = ''
  - filters: Filters = []
  - orders: Orders = []
  - page: number = 1

  #### Returns Promise<ApiWrapper<PagingResults<jDiapazoneListWithExtras>, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/diapazone/diapazone.ts:26